Bug 1942125 - Administrator -> Serverless - i18n misses
Summary: Administrator -> Serverless - i18n misses
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.8
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: 4.8.0
Assignee: Debsmita Santra
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-23 17:37 UTC by Krishna Babu K
Modified: 2021-07-27 22:55 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:55:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
i18n misses - serverless menu (1.12 MB, application/zip)
2021-03-23 17:37 UTC, Krishna Babu K
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9107 0 None open Bug 1942125: add i18n for serverless breadcrumbs 2021-06-03 11:51:26 UTC
Github openshift console pull 9214 0 None open translate the page heading in the edit flow 2021-06-11 07:22:27 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:55:26 UTC

Description Krishna Babu K 2021-03-23 17:37:08 UTC
Created attachment 1765638 [details]
i18n misses - serverless menu

Description of problem:
In Administrator perspective, 'Serverless' menu navigation has some content in English. Took the screenshots and attached here for reference 

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-03-22-064955

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Content is in English

Expected results:
Content should be in selected language.

Additional info:

Comment 1 Steve Goodwin 2021-04-01 17:04:08 UTC
Reassigning to Dev console component.
I did not that some of the missing translations are still waiting for actual translated strings, thus defaulting to English.

Comment 2 Andrew Ballantyne 2021-05-25 14:18:34 UTC
It's odd when you changed the component that it didn't reset all the other fields. Applying default to the other fields to push it into our to-triage pool.

Comment 3 Debsmita Santra 2021-06-01 17:55:03 UTC
i18n translation is missing only for the breadcrumbs in the details pages

Comment 6 Debsmita Santra 2021-06-10 19:04:59 UTC
Raised a PR https://github.com/openshift/console/pull/9214

Comment 7 Gajanan More 2021-06-12 08:40:40 UTC
I have verified the bugzilla on:
Build: 4.8.0-0.ci-2021-06-12-021956
Browser: Google Chrome
Marking this as verified

Comment 10 errata-xmlrpc 2021-07-27 22:55:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.